org.springframework.web.reactive.result.view.freemarker

## Interface FreeMarkerConfig

All Known Implementing Classes:
  FreeMarkerConfigurer

    public interface FreeMarkerConfig

Interface to be implemented by objects that configure and manage a FreeMarker Configuration object in a web environment. Detected and used by `FreeMarkerView`.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`freemarker.template.Configuration` `getConfiguration()` Return the FreeMarker Configuration object for the current web application context.

### Method Detail

#### getConfiguration

    freemarker.template.Configuration getConfiguration()

Return the FreeMarker Configuration object for the current web application context.

A FreeMarker Configuration object may be used to set FreeMarker properties and shared objects, and allows to retrieve templates.

Returns:
  the FreeMarker Configuration